osmo_crc64gen_code Struct Reference
Osmocom generic CRC routines

structure describing a given CRC code of max 64 bits More...

`#include <crc64gen.h>`

## Data Fields

int | bits
| Actual number of bits of the CRC.
uint64_t | poly
| Polynom (normal representation, MSB omitted.
uint64_t | init
| Initialization value of the CRC state.
uint64_t | remainder
| Remainder of the CRC (final XOR)

## Detailed Description

structure describing a given CRC code of max 64 bits

The documentation for this struct was generated from the following file:

- include/osmocom/core/crc64gen.h